Bug 122406 - security error messages from RPM install overwrite dmesg info
security error messages from RPM install overwrite dmesg info
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-03 21:53 EDT by Brad Behm
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-13 15:14:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Behm 2004-05-03 21:53:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040319 Galeon/1.3.14

Description of problem:
I have recently installed FC2 Test3, and for some reason I get a *LOT*
of warnings when installing any RPMS, including those in the yum
repository. This would not be much of a concern, because the RPMs
install fine, except that after these messages are displayed, they
somehow replace all of the output from dmesg.

As an example, if I reboot, log in, and type 'dmesg', I get the
expected information from the kernel about the boot and drivers, etc.
After installing an RPM, I no longer can get this information from
dmesg. Instead, I am greeted with many lines similar in content to
this one:

security_context_to_sid: called before initial load_policy on unknown
context root:object_r:staff_home_ssh_t

Where 'ssh' can take values for just about every package installed on
my system.

It should be noted that the file /var/log/dmesg still contains the
expected information, and does not contain any of the above messages.

Version-Release number of selected component (if applicable):
util-linux-2.12-15

How reproducible:
Always

Steps to Reproduce:
1. Reboot, log in.
2. # dmesg 
3. # yum update sudo
4. # dmesg
    

Actual Results:  After step 2, above, dmesg prints the contents of
/var/log/dmesg. After step 4, above, it does not and instead prints
out lines of warnings from the RPM installation as stated in the
problem description.

Expected Results:  The output of dmesg should be consistent with
/var/log/dmesg regardless of what RPM has done.

Additional info:
Comment 1 Elliot Lee 2004-05-13 15:14:36 EDT
Hi,

The dmesg command just prints the last few lines of kernel messages.
The selinux thing will cause the kernel to print those messages you saw. 
/var/log/dmesg is not constantly updated - it is just created at boot
to preserve the latest kernel messages at that time.

Things are behaving as I would expect.

Note You need to log in before you can comment on or make changes to this bug.